"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Event {
    constructor() {
        this.handlers = [];
    }
    on(handler) {
        this.handlers.push(handler);
        return { dispose: () => { this.handlers = this.handlers.filter((h) => h !== handler); } };
    }
    fire(event) {
        for (const h of this.handlers) {
            h(event);
        }
    }
    dispose() {
        this.handlers = [];
    }
}
exports.Event = Event;
