/// <reference types="node" />
import * as child from 'child_process';
import { Connection, Event, Transport, TransportError } from 'lean-client-js-core';
export declare class ProcessTransport implements Transport {
    executablePath: string;
    workingDirectory: string;
    options: string[];
    constructor(executablePath: string, workingDirectory: string, options: string[]);
    connect(): Connection;
    getVersion(): string;
    private getEnv();
}
export declare class ProcessConnection implements Connection {
    error: Event<TransportError>;
    jsonMessage: Event<any>;
    process: child.ChildProcess;
    alive: boolean;
    constructor(process: child.ChildProcess);
    send(msg: any): void;
    dispose(): void;
}
