"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const carrier = require("carrier");
const child = require("child_process");
const vscode_1 = require("vscode");
let batchOutputChannel;
function batchExecuteFile(server, editor, edit, args) {
    batchOutputChannel = batchOutputChannel ||
        vscode_1.window.createOutputChannel('Lean: Batch File Output');
    const fileName = editor.document.fileName;
    const executablePath = server.executablePath;
    const lean = child.spawn(executablePath, [fileName], { cwd: vscode_1.workspace.rootPath, env: {} /* TODO(gabriel): take from server */ });
    batchOutputChannel.clear();
    carrier.carry(lean.stdout, (line) => {
        batchOutputChannel.appendLine(line);
    });
    carrier.carry(lean.stderr, (line) => {
        batchOutputChannel.appendLine(line);
    });
    lean.on('close', (code) => {
        /* not sure if we need to do anything here */
    });
    batchOutputChannel.show(true);
}
exports.batchExecuteFile = batchExecuteFile;
//# sourceMappingURL=batch.js.map