"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_1 = require("vscode");
class LeanDefinitionProvider {
    constructor(server) {
        this.server = server;
    }
    provideDefinition(document, position) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.server.info(document.fileName, position.line + 1, position.character);
            if (response.record && response.record.source) {
                const src = response.record.source;
                const uri = src.file ? vscode_1.Uri.file(src.file) : document.uri;
                return new vscode_1.Location(uri, new vscode_1.Position(src.line - 1, src.column));
            }
            else {
                return null;
            }
        });
    }
}
exports.LeanDefinitionProvider = LeanDefinitionProvider;
//# sourceMappingURL=definition.js.map