"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_1 = require("vscode");
function isInputCompletion(document, position) {
    const text = document.getText();
    let offset = document.offsetAt(position);
    do {
        offset--;
    } while (/[^\\\s]/.test(text.charAt(offset)));
    return text.charAt(offset) === '\\';
}
exports.isInputCompletion = isInputCompletion;
class LowPassFilter {
    constructor(delayms) {
        this.delayms = delayms;
        this.emitter = new vscode_1.EventEmitter();
        this.on = this.emitter.event;
    }
    input(t, now) {
        this.currentValue = t;
        if (!this.scheduledTimer) {
            this.scheduledTimer =
                setTimeout(() => this.updateNow(), this.delayms);
        }
        if (now) {
            this.updateNow();
        }
    }
    updateNow() {
        if (this.scheduledTimer) {
            this.scheduledTimer = null;
            this.emitter.fire(this.currentValue);
        }
    }
}
exports.LowPassFilter = LowPassFilter;
//# sourceMappingURL=util.js.map